//
//  CHStringDrawingAdditions.h
//  Chocolat
//
//  Created by Pieter Omvlee on 8/14/08.
//  Copyright 2008 Insearchofaname. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CHStringAttributes : NSDictionary <NSCopying>
{
  NSMutableDictionary *attributes;
}

- (id)initWithAttributes:(NSDictionary *)atts;

+ (id)stringAttributes;
+ (id)stringAttributesWithFont:(NSFont *)aFont;
+ (id)stringAttributesWithColor:(NSColor *)aColor;
+ (id)stringAttributesWithFont:(NSFont *)aFont color:(NSColor *)aColor;
+ (id)stringAttributesWithFont:(NSFont *)aFont color:(NSColor *)aColor alignment:(NSTextAlignment)align;

@property (retain) NSFont *font;
@property (retain) NSColor *color;
@property (retain) NSShadow *shadow;
@property NSTextAlignment alignment;
@property int fontSize;

@end

@interface NSFont (CHFontAttributes)
- (CHStringAttributes *)stringAttributes;
- (CHStringAttributes *)stringAttributesWithColor:(NSColor *)aColor;
@end

@interface NSMutableAttributedString (CHMutableAttributedStringAdditions)
- (void)appendString:(NSString *)string attributes:(NSDictionary *)attributes;
@end